Show a workflow execution
GET /v1/workflow-executions/{workflowExecutionId} · SDK getWorkflowExecution · CLI deployments workflow-execution show
Requires workflows:read.
AuthorizationBearer <token>Opaque bearer credential scoped to one service account and tenant.
workflowExecutionId*string^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$WorkflowExecutionResponse
application/json- response
environmentId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$organizationId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$projectId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$completedAt?string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timecreatedAt*string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timecurrentStepAttempt?integer0 <= valuecurrentStepId?string^\S[\s\S]*\S$|^\S$|^$id*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$startedAt?string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timestatus*string"queued""running""waiting-for-agent""waiting-for-tool""waiting-for-approval""waiting-for-delivery""completed""failed""canceling""canceled"updatedAt*string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timeversion*integer0 <= valueworkflowContentHash*string^sha256:[a-f0-9]{64}$workflowDefinitionId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$workflowReleaseId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$workflowReleaseNumber*integer0 < valueworkspaceId?string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$error?input*object*"workflow-execution""workflow-execution"output?curl -X GET "https://example.com/v1/workflow-executions/string"{ "environmentId": "string", "organizationId": "string", "projectId": "string", "completedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "currentStepAttempt": 0, "currentStepId": "string", "id": "string", "startedAt": "2019-08-24T14:15:22Z", "status": "queued", "updatedAt": "2019-08-24T14:15:22Z", "version": 0, "workflowContentHash": "string", "workflowDefinitionId": "string", "workflowReleaseId": "string", "workflowReleaseNumber": 1, "workspaceId": "string", "error": { "property1": null, "property2": null }, "input": { "property1": null, "property2": null }, "object": "workflow-execution", "output": { "property1": null, "property2": null }}